/*
 * This Java source file was generated by the Gradle 'init' task.
 */
package number1;

import java.util.LinkedHashMap;
import java.util.HashMap;
import java.util.Hashtable;
import java.util.TreeMap;
import java.util.Map;

public class Main{
  public static void main(String[] args){
  
    System.out.println("Hashtable:");
    double start3 = System.currentTimeMillis();
    Maps map4 = new Maps(new Hashtable<String, Integer>());

    double time3 = System.currentTimeMillis() - start3;

    System.out.println("All: " + time3/1000 + " sec");

//----------------------------------------------------------------------------------------------------------------
    System.out.println("HashMap:");
    double start = System.currentTimeMillis();
    Maps map1 = new Maps(new HashMap<String, Integer>());
    
    double time = System.currentTimeMillis() - start;
    
    System.out.println("All: " + time/1000 + " sec");

//------------------------------------------------------------------------------------------------------------------

    System.out.println("TreeMap:");
    double start1 = System.currentTimeMillis();
    Maps map2 = new Maps(new TreeMap<String, Integer>());

    double time1 = System.currentTimeMillis() - start1;

    System.out.println("All: " + time1/1000 + " sec");

//--------------------------------------------------------------------------------------------------------------------
   System.out.println("LinkedHashMap:");
   double start2 = System.currentTimeMillis();
   Maps map3 = new Maps(new LinkedHashMap<String, Integer>());

   double time2 = System.currentTimeMillis() - start2;

   System.out.println("All: " + time2/1000 + " sec");

//--------------------------------------------------------------------------------------------------------------------








    System.out.println("Hashtable:");
    start3 = System.currentTimeMillis();
    Maps map5 = new Maps(new Hashtable<String, Integer>());

    time3 = System.currentTimeMillis() - start3;

    System.out.println("All: " + time3/1000 + " sec");

//----------------------------------------------------------------------------------------------------------------
    System.out.println("HashMap:");
    start = System.currentTimeMillis();
    Maps map6 = new Maps(new HashMap<String, Integer>());
    
    time = System.currentTimeMillis() - start;
    
    System.out.println("All: " + time/1000 + " sec");

//------------------------------------------------------------------------------------------------------------------
    System.out.println("TreeMap:");
    start1 = System.currentTimeMillis();
    Maps map7 = new Maps(new TreeMap<String, Integer>());

    time1 = System.currentTimeMillis() - start1;

    System.out.println("All: " + time1/1000 + " sec");

//--------------------------------------------------------------------------------------------------------------------
   System.out.println("LinkedHashMap:");
   start2 = System.currentTimeMillis();
   Maps map8 = new Maps(new LinkedHashMap<String, Integer>());

   time2 = System.currentTimeMillis() - start2;

   System.out.println("All: " + time2/1000 + " sec");

//--------------------------------------------------------------------------------------------------------------------s

  }
}
